# boost::lockfree::stack< T, freelist_t, Alloc > Class Template Reference

List of all members.

## Detailed Description

### template<typename T, typename freelist_t = caching_freelist_t, typename Alloc = std::allocator<T>>
class boost::lockfree::stack< T, freelist_t, Alloc >

Definition at line 30 of file stack.hpp.

## Public Member Functions

| stack (void)
| stack (std::size_t n)
bool | push (T const &v)
bool | pop (T *ret)
bool | empty (void) const

## Static Public Attributes

static const bool | is_lockfree = node::tagged_ptr::is_lockfree

## Classes

struct | node

The documentation for this class was generated from the following file:

- common/include/boost/lockfree/stack.hpp